Subject: Re: [PATCH] can: softing: remove redundant NULL check

From: Simon Horman <[email-masked]>
Date: Fri, 16 Feb 2024 17:27:01 +0000

On Sun, Feb 11, 2024 at 07:05:35AM -0800, Daniil Dulov wrote:
> In this case dev cannot be NULL, so remove redundant check.
> 
> Found by Linux Verification Center (linuxtesting.org) with SVACE.
> 
> Fixes: 03fd3cf5a179 ("can: add driver for Softing card")
> Signed-off-by: Daniil Dulov <[email-masked]>

Hi Daniil,

I am not sure that dev cannot be NULL.
But I do see that the code assumes it is not, and would crash if it is.
So I think that, functionally, your statement is correct.

	priv = netdev_priv(dev);
	card = priv->card;

Reviewed-by: Simon Horman <[email-masked]>